## prometheus-pushgateway 1.11.1~20250809125309.20%2Btrixie

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125309.20+trixie) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:09 +0200

prometheus-pushgateway (0.9.1) stable; urgency=medium

  * Version bump to 0.9.1.

 -- Jiri Tyr <jiri.tyr@gmail.com>  Mon, 12 Aug 2019 14:57:49 +0200
