## prometheus-pushgateway 1.11.1~20250809125310.20%2Bbullseye

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125310.20+bullseye) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:10 +0200
