=== debian/changelog ===
prometheus-pushgateway (1.11.1-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Add myself to Uploaders

  [ Martina Ferrari ]
  * Fix my email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 23:07:04 +0000
