=== debian/control ===
Source: prometheus-pushgateway
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.21~),
               golang-github-golang-protobuf-1-5-dev,
               golang-github-golang-snappy-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev (>= 0.4.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-github-prometheus-prometheus-dev,
               golang-google-protobuf-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
Homepage: https://github.com/prometheus/pushgateway
XS-Go-Import-Path: github.com/prometheus/pushgateway

Package: prometheus-pushgateway
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-jquery (>= 3),
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for ephemereal jobs
 The Prometheus Pushgateway exists to allow ephemeral and batch jobs to expose
 their metrics to Prometheus. Since these kinds of jobs may not exist long
 enough to be scraped, they can instead push their metrics to a Pushgateway.
 The Pushgateway then exposes these metrics to Prometheus.
 .
 The Pushgateway is explicitly not an aggregator, but rather a metrics cache.
 It does not have a statsd-like semantics. The metrics pushed are exactly the
 same as you would present for scraping in a permanently running program.
 .
 For machine-level metrics, the textfile collector of prometheus-node-exporter
 is usually more appropriate. The Pushgateway is best used for service-level
 metrics.
