## prometheus-pushgateway 1.11.2

=== debian/changelog ===
prometheus-pushgateway (1.11.2-1) unstable; urgency=medium

  * New upstream release. Closes: 1126223

 -- Martina Ferrari <tina@debian.org>  Tue, 10 Feb 2026 18:32:38 +0000
